Page MenuHomePhabricator

WPUS: TransDetVer2 audit parsing is broken
Closed, DeclinedPublic2 Story Points

Description

There's a mismatch between our column headers and the file contents. Figure out whether anything has changed about this file, and why the version was not incremented if so.

This file contains only Worldpay US transactions.

Event Timeline

awight created this task.Sep 25 2015, 7:14 PM
awight updated the task description. (Show Details)
awight raised the priority of this task from to Needs Triage.
awight added a project: Fundraising-Backlog.
awight added subscribers: gerritbot, atgo, Aklapper and 2 others.

Change 241125 had a related patch set uploaded (by Awight):
Disable Worldpay US auditing

https://gerrit.wikimedia.org/r/241125

Change 241125 merged by jenkins-bot:
Disable Worldpay US auditing

https://gerrit.wikimedia.org/r/241125

Here's the beginning of a file we were able to process, TranDetVer2_246935_8-27-2014_8'28'02 AM.csv

"1","2.0.0","1000709210","8/25/2014","8/25/2014","8/27/2014 8:28:02 AM"

"2","24224434238105004307171","542929805724622","LK319609","8/25/2014","825018","4444","Visa","Credit Sale","8/25/2014 12:00:00 AM","0","8/25/2014 11:18:17 PM","0","0","1","0","0","0","1","1","0","442788XXXXXX7767","0000","542929805724622","0","FuelLynk","'713509","1","0","W","5","084237838973323","             ","57TV","0","3","1","9","4","0","0","0","0","0","0","0","0","0","0","0","0","0","11364.0","0"

And a recent file which could not be processed, TranDetVer2_1148045_5-9-2015_10'24'41 AM.csv

"1","2.1.0","1000688690","5/7/2015","5/7/2015","5/9/2015 10:24:53 AM"

"2","24224435128103001446803","542929805464419","LK150286","5/7/2015","507250","7023","Visa","Credit Ticket","5/6/2015 12:00:00 AM","0","5/6/2015 11:45:42 PM","0","0","100","0","0","0","100","100","0","435880XXXXXX4544","0000","542929805464419","0","FuelLynk","'762519","1","0","W","5","285126855432708","             ","Q25N","U","3","1","9","4","0","0","0","0","0","0","0","0","0","0","0","0","0","28d372f4e56ada6","0"

The file format version has bumped from 2.0.0 to 2.1.0, I'll ask for updated docs. We're currently working from "Transaction Detail Version 2 US Report.doc", no document control info.

awight set Security to None.
awight updated the task description. (Show Details)Sep 25 2015, 10:13 PM
DStrine edited a custom field.Oct 6 2015, 5:51 PM
atgo renamed this task from TransDetVer2 audit parsing is broken to WPUS: TransDetVer2 audit parsing is broken.Oct 7 2015, 9:39 PM
atgo removed a subscriber: atgo.Mar 30 2016, 10:05 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 18 2016, 7:08 PM
Ejegg closed this task as Declined.Jan 4 2017, 6:04 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:34 PM